%?python_enable_dependency_generator
%global srcname conda-package-handling
%global pkgname conda_package_handling

Summary:        Create and extract conda packages of various formats
Name:           python-%{srcname}
Version:        2.2.0
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/conda/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Create and extract conda packages of various formats
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-tqdm
BuildRequires:  python%{python3_pkgversion}-conda-package-streaming python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-Cython python%{python3_pkgversion}-pytest-mock
Requires:       python%{python3_pkgversion}-six python%{python3_pkgversion}-tqdm

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e s/archive_and_deps/archive/ setup.py
sed -i -E '/--(no-)?cov/d' setup.cfg

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v tests 

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.md CHANGELOG.md README.md
%{_bindir}/cph
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/

%changelog
* Mon Dec 11 2023 Shuo Wang <abushwang@tencent.com> - 2.2.0-1
- initial build
